package com.yeejoin.amos.boot.module.jxiop.biz.jxdz.Enum;

import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor
public enum JXDZDataTypeEnum {
    FDZJC(1, "风电站监测数据"),
    GFDZJC(2, "光伏电站监测数据"),
    FDZSBJC(3, "风电站设备监测数据"),
    GFDZSBJC(4, "光伏电站设备监测数据"),
    DZMTSJ(5, "电站每天数据包括：运维、节能减排、发电效率"),
    ;
    private Integer code;
    private String remark;

    public static JXDZDataTypeEnum getEnumByCode(Integer code) {
        for (JXDZDataTypeEnum jxdzDataTypeEnum : JXDZDataTypeEnum.values()) {
            if (jxdzDataTypeEnum.getCode().equals(code)) {
                return jxdzDataTypeEnum;
            }
        }
        return null;
    }
}
